org.mozilla.javascript

## Class Node.NodeIterator

- java.lang.Object
- - org.mozilla.javascript.Node.NodeIterator

All Implemented Interfaces:
  java.util.Iterator<Node>

Enclosing class:
  Node

    public class Node.NodeIterator
    extends java.lang.Object
    implements java.util.Iterator<Node>

Iterates over the children of this Node. Supports child removal. Not thread-safe. If anyone changes the child list before the iterator finishes, the results are undefined and probably bad.

### Constructor Summary

Constructors
Constructor and Description
`Node.NodeIterator()`

### Method Summary

Methods
`boolean` `hasNext()`
`Node` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Node.NodeIterator

    public Node.NodeIterator()

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<Node>`

#### next

    public Node next()

Specified by:
  `next` in interface `java.util.Iterator<Node>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<Node>`